#ifndef __INTERPOLATOR_2D_H
#define __INTERPOLATOR_2D_H

#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <gsl/gsl_spline2d.h>

class Interpolator2D {
	public:
		Interpolator2D(const std::string& file);
		~Interpolator2D();

		double getZ(const double x, const double y);

	private:
		gsl_interp_accel *accX, *accY;
		gsl_spline2d *bilinear;
		std::vector<double> xInput, yInput, zInput;
		unsigned dimX, dimY;
};

#endif
